//
//  RTVShow.h
//  RTV
//
//  Created by Michael Rothwell on Sun Jan 18 2004.
//  Copyright (c) 2004 Michael Rothwell. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface RTVShow : NSObject 
{
    // show info
    NSMutableDictionary *m_info;
    
    // thread safety
    NSRecursiveLock *m_lock;
}
-(id)init;
-(id)objectForKey:(NSString *)key;
-(void)setObject:(id)obj forKey:(NSString *)key;
-(NSString *)showID;
-(NSString *)category;
-(NSString *)replayChannel;
-(NSString *)channelNumber;
-(NSString *)channel;
-(NSString *)channelAbbr;
-(NSString *)title;
-(NSString *)dateTime;
-(NSString *)duration;
-(NSString *)cableSystem;
-(NSString *)episode;
-(NSString *)summary;
-(NSString *)actors;
-(NSString *)guests;
-(NSString *)producer;
-(NSString *)director;
-(NSString *)genres;
-(NSString *)serialNumber;
-(NSString *)IPAddress;


@end
